$(document).ready(function () {
    getSmartServer()
    getGreenHouse()

    function getSmartServer() {
        $.ajax({
            url: 'http://192.168.88.3/error/',
            type: 'GET',
        })
            .done(response => {
                const data = response
                if (data['server'] === false || data['server']===null) {
                    $("#server").removeClass('card-title text-nowrap mb-1 text-server');
                    $("#server").addClass('card-title text-nowrap mb-1 text-light-servererror blink').text('Недоступен')
                } else {
                    $("#server").removeClass('card-title text-nowrap mb-1 text-light-servererror blink');
                    $("#server").addClass('card-title text-nowrap mb-1 text-server ').text('OK')
                }
                ;
                if (data['yandex'] === false || data['yandex'] === null) {
                    $("#internet").removeClass('card-title text-nowrap mb-1 text-server');
                    $("#internet").addClass('card-title text-nowrap mb-1 text-light-servererror blink').text('Недоступен')
                } else {
                    $("#internet").removeClass('card-title text-nowrap mb-1 text-light-servererror blink');
                    $("#internet").addClass('card-title text-nowrap mb-1 text-server ').text('OK')
                }
                setTimeout(function () {
                    getSmartServer()
                }, 10000)
            });
    }

    // Сделал API, так как нельзя Ajax дважды запрашивать внешний ip
    function getGreenHouse() {
        $.ajax({
            url: 'http://192.168.88.3/greenhouse',
            type: 'GET',
            mode: 'no-cors',
        })
            .done(response => {
                const dat = response
                console.log(dat)
                if (dat['temp'][0] > 0) {
                    $("#temp_green").html('+' + dat['temp'][0] + '&deg;C')
                } else if (dat['temp'][0] === "") {
                    $("#temp_green").html(' ' + dat['temp'][0] + '&deg;C')
                } else {
                    $("#temp_green").html('-' + dat['temp'][0] + '&deg;C')
                }
                $('#damp').html(dat['sensor_lend_web'][0] + '%')
                setTimeout(function () {
                    getGreenHouse()
                }, 60000)
            });
    }

});